// Shadow Alpha Distance
// Bisma Mods
precision mediump float;
uniform sampler2D Diffuse;
varying mediump vec2 Out_Tex0;
uniform mediump vec4 RedGrade;

float gt_distance(float posy, float koln) {
	float rete = 1.0 - distance(posy, 0.0);
	rete /= 1.9;
	if (rete > koln) {
		rete = koln;
	}
	if (0.0 > rete) {
		rete = 0.0;
	}
	return rete;
}

void main() {
	vec4 color = texture2D(Diffuse, Out_Tex0);
	float KoloR = dot(color, RedGrade);	
	gl_FragColor = vec4(0.0, 0.0, 0.0, (1.0 - color.x) * gt_distance(Out_Tex0.y, KoloR));
}